<template>
  <div class="text-center dialog">
    <v-card>
      <v-card-title class="text-h5 header">
        {{ header }}
        <div class="logo">
          <KuSobieLogo :small="true" />
        </div>
        <v-icon @click="$emit('close')">mdi-close</v-icon>
      </v-card-title>
      <v-card-text>
        {{ content }}
      </v-card-text>
      <v-divider></v-divider>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="primary" text @click="$emit('close')">
          Zamknij
        </v-btn>
      </v-card-actions>
    </v-card>
  </div>
</template>
<script>
export default {
  name: 'WindowComponent',

  props: {

    header: {
      type: String,
      required: true
    },

    content: {
      type: String,
      required: true
    }

  }
}
</script>
<style lang="scss" scoped>
.header {
  color: lighten(#93c8d8, 10%);
  background: darken(#d9c894, 60%);
}

button {
  transform: none;
  margin-left: auto;
}

.v-card__text {
  padding: 10px !important;
  font-size: 15px !important;
}

.dialog {
  position: fixed;
  display: flex;
  top: 0px;
  left: 0px;
  width: 100vw;
  height: 100vh;
  align-items: center;
  justify-content: center;
}

.v-icon {
  color: #ffffff;
  // transform: translate(281px, -6px);
}</style>